Linux RPM fails on RH5 with "Wrong version of ksh"

Last post 03-28-2014, 6:49 AM by Michael Fox. 1 replies.
Sort Posts: Previous Next
  • Linux RPM fails on RH5 with "Wrong version of ksh"
    Posted: 02-04-2014, 2:39 AM

    Simpana 10 SP5

    RPM package based on v10 (no SP5 version available yet to download it seem?)

     

    We are trying to roll out RPM packages to the Linux servers but it only seems to work on RH 6.X machines. The RH 5 machines fail with bellow:

     

     

    #################################################

    [root@xxx-xxx-xxx001 xxxxxxxxx]# rpm -Uhv
    commvault-oracle-agent-1-10.0.0-BUILD116.noarch.rpm

    Preparing...               
    ########################################### [100%]

      
    1:commvault-oracle-agent-########################################### [100%]

    Preparing and updating installer ...

    *** Wrong version of ksh: .

    error: %post(commvault-oracle-agent-1-10.0.0-BUILD116.noarch)
    scriptlet failed, exit status 1

     

    After this a rollback occurs.  

    [root@xxx-xxx-xxx001 xxxxxxxxx]# rpm -qa|grep -i ksh

    pdksh-5.2.14-37.el5_8.1

    ksh-20100621-18.el5

     

    ksh is installed.. 

    [root@xxx-xxx-xxx001 xxxxxxxxx]# yum info ksh

    Loaded plugins: rhnplugin

    This system is receiving updates from RHN Classic or RHN
    Satellite.

    Installed Packages

    Name       : ksh

    Arch       : i386

    Version    : 20100621

    Release    : 18.el5

    Size       : 3.1 M

    Repo       : installed

    Summary    : The Original ATT Korn Shell

    URL        : http://www.kornshell.com/

    License    : Common Public License Version
    1.0

    Description: KSH-93 is the most recent version of the
    KornShell by David Korn of

              
    : AT&T Bell Laboratories.

              
    : KornShell is a shell programming language, which is upward

              
    : compatible with "sh" (the Bourne Shell).

     

    #################################################

     

    Anyone has an idea why this seem to work on RH6 and not on RH5 machines?

    Many thanks

    Marcel.

     

  • Re: Linux RPM fails on RH5 with "Wrong version of ksh"
    Posted: 03-28-2014, 6:49 AM

    The error relating to the ksh version is not referring to the one you have installed on the machine and/or requiring it. Our installation process/scripts use a certain ksh version which we distribute with our media and when you create an rpm gets distributed with the rpm to perform the install.

    I believe you created this RPM based on the information above. Have you tried creating the RPM on the RH5 and using that package to be installed on RH5 (and RH6), I have a strange feeling that will work. Maybe you can try and post back.

The content of the forums, threads and posts reflects the thoughts and opinions of each author, and does not represent the thoughts, opinions, plans or strategies of Commvault Systems, Inc. ("Commvault") and Commvault undertakes no obligation to update, correct or modify any statements made in this forum. Any and all third party links, statements, comments, or feedback posted to, or otherwise provided by this forum, thread or post are not affiliated with, nor endorsed by, Commvault.
Commvault, Commvault and logo, the “CV” logo, Commvault Systems, Solving Forward, SIM, Singular Information Management, Simpana, Commvault Galaxy, Unified Data Management, QiNetix, Quick Recovery, QR, CommNet, GridStor, Vault Tracker, InnerVault, QuickSnap, QSnap, Recovery Director, CommServe, CommCell, SnapProtect, ROMS, and CommValue, are trademarks or registered trademarks of Commvault Systems, Inc. All other third party brands, products, service names, trademarks, or registered service marks are the property of and used to identify the products or services of their respective owners. All specifications are subject to change without notice.
Close
Copyright © 2019 Commvault | All Rights Reserved. | Legal | Privacy Policy